---
obj: application
os: linux
repo: https://github.com/sharkdp/fd
---
# fd
#refactor 
`fd` is a program to find entries in your filesystem. It is a simple, fast and user-friendly alternative to [`find`](https://www.gnu.org/software/findutils/). While it does not aim to support all of `find`'s powerful functionality, it provides sensible (opinionated) defaults for a majority of use cases.

## Usage
Flags:
```shell
-H, --hidden             Include hidden files
-d, --max-depth <depth>  Limit recursion
-e, --extension <ext>    Search by extension
-x, --exec <cmd>...      Execute command for every search result.
The following placeholders are substituted before the command is executed:
'{}':   path (of the current search result)
'{/}':  basename
'{//}': parent directory
'{.}':  path without file extension
'{/.}': basename without file extension
```